Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.blogclient
Interface BlogResource

All Superinterfaces:
  BlogEntry

All Known Implementing Classes:
  AtomResource, MetaWeblogResource

    public interface BlogResource

extends BlogEntry

Represents a file that has been uploaded to a blog.

Resources are modeled as a type of BlogEntry, but be aware: not all servers can save resource metadata (i.e. title, category, author, etc.). MetaWeblog based servers can't save metadata at all and Atom protocol servers are not required to preserve uploaded file metadata.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.syndication.propono.blogclient.BlogEntry
`BlogEntry.Category, BlogEntry.Content, BlogEntry.Person`

Method Summary
`InputStream` | `getAsStream()` Get resource as stream, using content.src as URL
`String` | `getName()` Get resource name (name is required)
`void` | `update(byte[] newBytes)` Update resource by immediately uploading new bytes to server

Methods inherited from interface com.sun.syndication.propono.blogclient.BlogEntry
`delete, getAuthor, getBlog, getCategories, getContent, getDraft, getId, getModificationDate, getPermalink, getPublicationDate, getSummary, getTitle, getToken, save, setAuthor, setCategories, setContent, setDraft, setModificationDate, setPublicationDate, setSummary, setTitle`

Method Detail

### getName

    String getName()

  Get resource name (name is required)

### getAsStream

    InputStream getAsStream()
                            throws BlogClientException

  Get resource as stream, using content.src as URL

  Throws:
    `BlogClientException`

### update

    void update(byte[] newBytes)
                throws BlogClientException

  Update resource by immediately uploading new bytes to server

  Throws:
    `BlogClientException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD